> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Unstaking Report

> Builds a flattened unstaking report with recipient, grant, parent staking request and configuration version.

Not available to API keys yet. It will need `grants:read`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/get-unstaking-report
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-unstaking-report:
    post:
      operationId: getUnstakingReport
      summary: Get Unstaking Report
      description: >-
        Builds a flattened unstaking report with recipient, grant, parent
        staking request and configuration version.


        Not available to API keys yet. It will need `grants:read`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetUnstakingReportRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUnstakingReportResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetUnstakingReportRequest:
      type: object
      properties:
        orgID:
          type: string
          format: uuid
        statusFilters:
          type: array
          items:
            type: string
            enum:
              - DRAFT
              - PENDING
              - APPROVED
              - REJECTED
              - CANCELLED
              - IN_STAKING
              - UNSTAKE_REQUEST_PLACED
              - STAKING_PERIOD_COMPLETED
              - COMPLETED
          maxItems: 20
    GetUnstakingReportResponse:
      type: array
      items:
        type: object
        properties:
          unstakingRequestID:
            type: string
          stakingRequestID:
            type: string
          unstakingAmount:
            type: string
            pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
          unstakingDate:
            type: string
          createdAt:
            type: string
          updatedAt:
            type: string
          status:
            type: string
            enum:
              - DRAFT
              - PENDING
              - APPROVED
              - REJECTED
              - CANCELLED
              - IN_STAKING
              - UNSTAKE_REQUEST_PLACED
              - STAKING_PERIOD_COMPLETED
              - COMPLETED
          roleInOrgID:
            type: string
          stakingRequest:
            type: object
            properties:
              stakingRequestID:
                type: string
              stakingAmount:
                type: string
                pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
              stakingStartDate:
                type: string
              stakingConfiguration:
                type: object
                properties:
                  versionNumber:
                    type: integer
                required:
                  - versionNumber
              grant:
                type: object
                properties:
                  grantName:
                    type: string
                  grantID:
                    type: string
                  grantAmount:
                    type: string
                    pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
                required:
                  - grantName
                  - grantID
                  - grantAmount
            required:
              - stakingRequestID
              - stakingAmount
              - stakingStartDate
              - stakingConfiguration
              - grant
          roleInOrg:
            type: object
            additionalProperties: {}
          grantName:
            type: string
          grantID:
            type: string
          grantAmount:
            type: string
            pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
          fullName:
            type: string
          roleInOrgExternalID:
            type: integer
          employmentType:
            type:
              - string
              - 'null'
          externalEmployeeID:
            type:
              - string
              - 'null'
          country:
            type:
              - string
              - 'null'
          stakingAmount:
            type: string
            pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
          stakingStartDate:
            type: string
          versionNumber:
            type: integer
          requestType:
            const: Unstaking
          startDate:
            type: string
          amount:
            type: string
            pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
        required:
          - unstakingRequestID
          - stakingRequestID
          - unstakingAmount
          - unstakingDate
          - createdAt
          - updatedAt
          - status
          - roleInOrgID
          - stakingRequest
          - roleInOrg
          - grantName
          - grantID
          - grantAmount
          - fullName
          - roleInOrgExternalID
          - employmentType
          - externalEmployeeID
          - country
          - stakingAmount
          - stakingStartDate
          - versionNumber
          - requestType
          - startDate
          - amount
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
